diff --git a/src/main/java/cpw/mods/cl/ModuleClassLoader.java b/src/main/java/cpw/mods/cl/ModuleClassLoader.java
index c7c248c..878a3cf 100644
--- a/src/main/java/cpw/mods/cl/ModuleClassLoader.java
+++ b/src/main/java/cpw/mods/cl/ModuleClassLoader.java
@@ -67,6 +67,7 @@ public class ModuleClassLoader extends ClassLoader {
     private final Map<String, ResolvedModule> packageLookup;
     private final Map<String, ClassLoader> parentLoaders;
     private ClassLoader fallbackClassLoader;
+    private static final ClassLoader systemClassLoader = ClassLoader.getSystemClassLoader();
 
     public ModuleClassLoader(final String name, final Configuration configuration, final List<ModuleLayer> parentLayers) {
         this(name, configuration, parentLayers, null);
@@ -212,6 +213,8 @@ public class ModuleClassLoader extends ClassLoader {
                     final var pname = name.substring(0, index);
                     if (this.packageLookup.containsKey(pname)) {
                         c = findClass(this.packageLookup.get(pname).name(), name);
+                    } else if(name.contains("pro.gravit.launcher") || name.contains("pro.gravit.utils")) {
+                        c = systemClassLoader.loadClass(name);
                     } else {
                         c = this.parentLoaders.getOrDefault(pname, fallbackClassLoader).loadClass(name);
                     }
